<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich" xmlns:model="http://labs.jboss.com/jbossrichfaces/ui/treeModel">

<head>
<title>Test</title>
</head>

<body style="margin: 0px;">
<f:view>
	<rich:panel id="mainFrame" style="vertical-align:top; margin:0px; padding:0px; height:400px;">
	    <h:form id="testTableForm" style="vertical-align:top; margin:0; padding:0; border:0; zoom:1;">
	        <rich:extendedDataTable value="#{testTable}" var="row" rows="10" id="testTable"
	             width="100%" height="280px;" enableContextMenu="false" tableState="#{testTable.tableState}">       

		        <rich:columns value="#{testTable.propertyNames}" sortable="true" 
		        	var="propName" index="index" id="column#{index}"  label="#{propName}">
		            <f:facet name="header">
		                <h:outputLabel value="#{propName}"/>
		            </f:facet>
		            <h:outputText value="#{row.map[propName]}" />

		            <f:facet name="footer">
		            	<a4j:region>
						<a4j:commandLink reRender="propertyFilterDialog" value="#{testTable.filterMap[propName]}" 
							oncomplete="Richfaces.showModalPanel('propertyFilterDialog');">
								<f:setPropertyActionListener target="#{testTable.filterName}" value="#{propName}" />
						</a4j:commandLink>			            	
		                </a4j:region>
		            </f:facet>
		        </rich:columns>
	        </rich:extendedDataTable> 
	    </h:form>   
	</rich:panel>
	
	<rich:modalPanel autosized="true" id="propertyFilterDialog" overlapEmbedObjects="true" minWidth="200">
		<f:facet name="header">Test Dialog</f:facet>
		<a4j:form id="propertyFilterForm">
			<h:outputText value="Set Filter for #{testTable.filterName} " styleClass="property_value"/> 				
			<a4j:commandButton styleClass="dialog_button" value="Close" 
				onclick="Richfaces.hideModalPanel('propertyFilterDialog');return false;" />
		</a4j:form>
	</rich:modalPanel>
	
</f:view>
</body>
</html>
